Loading...
Searching...
No Matches
restinio::utils::x_www_form_urlencoded_unescape_traits Struct Reference

Traits for escaping and unexcaping symbols in a query string in correspondence with application/x-www-form-urlencoded rules. More...

`#include <percent_encoding.hpp>`

Inheritance diagram for restinio::utils::x_www_form_urlencoded_unescape_traits:

## Static Public Member Functions

static constexpr bool | ordinary_char (char c) noexcept

## Detailed Description

Traits for escaping and unexcaping symbols in a query string in correspondence with application/x-www-form-urlencoded rules.

Reference for more details: https://url.spec.whatwg.org/#concept-urlencoded-byte-serializer

Since
  v.0.6.5

Definition at line 60 of file percent_encoding.hpp.

## Member Function Documentation

## ordinary_char()

static constexpr bool restinio::utils::x_www_form_urlencoded_unescape_traits::ordinary_char | ( | char | c | ) |

inline static constexpr noexcept

Definition at line 63 of file percent_encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/percent_encoding.hpp